### org.jfree.layouting.renderer.text

# Interface RenderableTextFactory

All Superinterfaces:
  StatefullComponent

Known Implementing Classes:
  DefaultRenderableTextFactory

`public interface RenderableTextFactory`
`extends StatefullComponent`

Problem: Text may span more than one chunk, and text may influence the break behaviour of the next chunk.

Possible solution: TextFactory does not return the complete text. It returns the text up to the last whitespace encountered and returns the text chunk only if either finishText has been called or some more text comes in. The ugly sideffect: Text may result in more than one renderable text chunk returned.

If we return lines (broken by an LineBreak-occurence) we can safe us a lot of trouble later.

Author:
  Thomas Morgner

  ## Method Summary

  `RenderNode[]`

  `createText(int[] text, int offset, int length, LayoutContext layoutContext)`
    The text is given as CodePoints.

  `RenderNode[]`

  `finishText()`

  `void`

  `startText()`

  ### Methods inherited from interface org.jfree.layouting.StatefullComponent

  `saveState`

## Method Details

### createText

    public RenderNode[] createText(int[] text,
                                   int offset,
                                   int length,
                                   LayoutContext layoutContext)

> The text is given as CodePoints.
> Parameters:
>   `text` -
> Returns:

### finishText

    public RenderNode[] finishText()

### startText

    public void startText()